Search Filings
Full-text search across SEC filings
$0.01 per request
GET
/searchRequest
curl "https://api.redcent.io/sec-edgar/search?q=revenue+growth&ticker=AAPL" \ -H "X-PAYMENT: <payment-token>"
Response
200
{ "results": [ { "cik": "0000320193", "companyName": "Apple Inc.", "formType": "10-K", "filingDate": "2023-11-03", "accessionNumber": "0000320193-23-000077", "description": "Annual report" } ], "count": 15, "source": "sec-efts" }
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| q | string | Yes | Search query |
| ticker | string | No | Limit search to a specific company |
| form_types | string | No | Comma-separated form types (e.g., '10-K,10-Q') |
Response Schema
Field
Type
Description
results
array
Array of search result objects matching the query
count
integer
Number of results returned
source
string
Data source (sec-efts for SEC EDGAR full-text search)